Cuda compatitablity platform

Hi,

We have a CentOS-7 machine & a Quadro P2000 we want to install the cuda-drivers too via Ansible.
It seems from my research cuda-drivers does not allow you to lock down to a version.

eg
cuda-drivers-branch-440

like you can with nvidia-drivers-branch-440

i found this https://docs.nvidia.com/deploy/cuda-compatibility/index.html#support-hardware

does this package cuda-compat-10.2 work on Quadros too?

or can you tell me how to lock down to certain version of the cuda-driver?